OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
LevelSetFilter< GridT, MaskT, InterruptT >::Filter::Avg< Axis > Struct Template Reference

`#include <openvdb/tools/LevelSetFilter.h>`

## Public Member Functions
| Avg (const GridT &grid, Int32 w)
ValueType | operator() (Coord xyz)

## Public Attributes
GridT::ConstAccessor | acc
const Int32 | width
const ValueType | frac

## Constructor & Destructor Documentation

## ◆ Avg()

template<typename GridT , typename MaskT = typename GridT::template ValueConverter<float>::Type, typename InterruptT = util::NullInterrupter>
template<size_t Axis>

Avg | ( | const GridT & | grid,
|  | Int32 | w
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

template<typename GridT , typename MaskT = typename GridT::template ValueConverter<float>::Type, typename InterruptT = util::NullInterrupter>
template<size_t Axis>

ValueType operator() | ( | Coord | xyz | ) |
| inline

## Member Data Documentation

## ◆ acc

template<typename GridT , typename MaskT = typename GridT::template ValueConverter<float>::Type, typename InterruptT = util::NullInterrupter>
template<size_t Axis>

GridT::ConstAccessor acc

## ◆ frac

template<typename GridT , typename MaskT = typename GridT::template ValueConverter<float>::Type, typename InterruptT = util::NullInterrupter>
template<size_t Axis>

const ValueType frac

## ◆ width

template<typename GridT , typename MaskT = typename GridT::template ValueConverter<float>::Type, typename InterruptT = util::NullInterrupter>
template<size_t Axis>

const Int32 width